@@ -5,7 +5,7 @@ double nubOffset = 1.9
5
5
double nubWidth = barWidth+ (nubOffset* 2 )
6
6
double holeRad = 9.5 / 2.0 - printerOffset. getMM()* 2
7
7
double holeOffsetEdgeToEdge = 16.5 - printerOffset. getMM()* 2
8
-
8
+ double loadCellStandoff = 2
9
9
CSG loadHole = new Cylinder (holeRad,holeRad,nubWidth* 2 ,(int )20 ). toCSG() // a one line Cylinder
10
10
.movez(- nubWidth)
11
11
loadHole= loadHole
@@ -18,12 +18,12 @@ loadHole=loadHole
18
18
19
19
20
20
double barLength = 80
21
- CSG bar = new Cube (barLength+2 ,barWidth+ nubOffset+ printerOffset. getMM(),barWidth+ printerOffset. getMM()). toCSG()
21
+ CSG bar = new Cube (barLength+2 ,barWidth+ nubOffset+ printerOffset. getMM()+ loadCellStandoff ,barWidth+ printerOffset. getMM()). toCSG()
22
22
.movey(printerOffset. getMM()/ 2-nubOffset/ 2 )
23
- CSG backKeepaway = new Cube (barLength/ 2+1 ,barWidth+ nubOffset+ printerOffset. getMM(),barWidth+ printerOffset. getMM()). toCSG()
23
+ CSG backKeepaway = new Cube (barLength/ 2+1 ,barWidth+ nubOffset+ printerOffset. getMM()+ loadCellStandoff ,barWidth+ printerOffset. getMM()). toCSG()
24
24
.movey((nubOffset))
25
25
.toXMax()
26
- CSG nub = new Cube (30 ,nubWidth,nubWidth)
26
+ CSG nub = new Cube (30 ,nubWidth+ loadCellStandoff ,nubWidth)
27
27
.toCSG()
28
28
// .movey(nubOffset)
29
29
@@ -50,7 +50,6 @@ CSG bolts= endBolt.union(baseBolt)
50
50
// .movez(bar.getMaxZ())
51
51
52
52
bar= bar. union(bolts. movex(- barLength/ 2 ))
53
- .movey(barWidth/ 2 - nubOffset)
54
- // .movez(barWidth/2)
53
+ .movey(barWidth/ 2 - nubOffset+ loadCellStandoff)
55
54
56
55
return bar
0 commit comments